varying vec2 		texcoord;
uniform sampler2D 	tex;
uniform float ssaoPower;

//vec3				hlf=vec3(0.5,0.5,0.5);

void main()
{
	vec4 occ=vec4(1.0)-vec4(texture2D(tex,texcoord).r);//clamp(texture2D(tex,texcoord)-vec4(0.1),vec4(0.0),vec4(1.0));
	gl_FragColor=pow(occ,vec4(ssaoPower));//vec3(pow(1.0-texture2D(tex,texcoord).r,ssaoPower));
	//gl_FragColor.a=1.0;
}
